Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.gui.dialogs.specialformats.distanceadapters
Class AbstractDistanceValueAdapter

    java.lang.Object
      info.bioinfweb.treegraph.gui.dialogs.specialformats.distanceadapters.AbstractDistanceValueAdapter

All Implemented Interfaces:
  DistanceAdapter

Direct Known Subclasses:
  BranchSpaceBelowAdapter, CornerRadiusAdapter, LeafMarginBottomAdapter, LeafMarginLeftAdapter, LeafMarginRightAdapter, LeafMarginTopAdapter

    public abstract class AbstractDistanceValueAdapter

extends Object
implements DistanceAdapter

Since:
  2.0.25
Author:
  Ben Stöver

Constructor Summary
`AbstractDistanceValueAdapter()`

Method Summary
`float` | `getDistance(Node node)` Returns the distance value in millimeters
`protected abstract DistanceValue` | `getDistanceValue(Node node)`
`void` | `setDistance(float distance, Node node)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractDistanceValueAdapter

    public AbstractDistanceValueAdapter()

Method Detail

### getDistanceValue

    protected abstract DistanceValue getDistanceValue(Node node)

### getDistance

    public float getDistance(Node node)

  Description copied from interface: `DistanceAdapter`
  Returns the distance value in millimeters

  Specified by:
    `getDistance` in interface `DistanceAdapter`
  Parameters:
    `node` - - the node to get the distance value from
  Returns:

### setDistance

    public void setDistance(float distance,
                            Node node)

  Specified by:
    `setDistance` in interface `DistanceAdapter`
  Parameters:
    `distance` - - the new distance value in millimeters

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD